<?php
$vencimentosDao = new \Dao\Vencimentos();
$vencimentosDao->getVencimentoPorId($conecta, filter_input(INPUT_POST, 'id'));
$vencimentosDao->titulo = $conecta->real_escape_string(filter_input(INPUT_POST, 'titulo'));
$vencimentosDao->slug = \Dao\Funcoes::removeCharacters($vencimentosDao->titulo, '-');
$vencimentosDao->data_cadastro = date('Y-m-d H:i:s');
$vencimentosDao->usuario_cadastrou = $_SESSION['id_usuario'];
$vencimentosDao->data_alteracao = date('Y-m-d H:i:s');
$vencimentosDao->usuario_alterou = $_SESSION['id_usuario'];
$res = json_decode($vencimentosDao->salvar($conecta));
if ($res->data == 'Success') 
    \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'vencimentos.php');
else 
    \Dao\Funcoes::displayMessage('Erro', $res->message, 'vencimentos.php', 'red');